gnutls_x509_crt_set_proxy(3)

NAME
gnutls_x509_crt_set_proxy - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_set_proxy(gnutls_x509_crt_t crt, int pathLenConstraint, const char * policyLanguage, const char * policy, size_t sizeof_policy);

ARGUMENTS

gnutls_x509_crt_t crt
    a certificate of type gnutls_x509_crt_t

int pathLenConstraint
    non-negative error codes indicate maximum length of path, and negative error codes indicate that the pathLenConstraints field should not be present.

const char * policyLanguage
    OID describing the language of policy .

const char * policy
    uint8_t byte array with policy language, can be NULL

size_t sizeof_policy
    size of policy .

DESCRIPTION
This function will set the proxyCertInfo extension.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/